Go to the latest version of this document.

# ``twisted`.`protocols`.`ftp`.`IWriteFile``

interface documentation

`class IWriteFile(Interface): (source)`

Known implementations: `twisted.protocols.ftp._FileWriter`

View In Hierarchy

A file into which bytes may be written.

Method | `close` | Perform any post-write work that needs to be done. This method may only be invoked once on each provider, and will always be invoked after receive().
Method | `receive` | Create a consumer which will write to this file. This method may only be invoked once on each provider.

def close(): (source)

Perform any post-write work that needs to be done. This method may only be invoked once on each provider, and will always be invoked after receive().

Returns
`Deferred` of anything: the value is ignored. The FTP client will not see their upload request complete until this Deferred has been fired. | Undocumented

def receive(): (source)

Create a consumer which will write to this file. This method may only be invoked once on each provider.

Returns
`Deferred` of `IConsumer` | Undocumented